cancel
Showing results for 
Search instead for 
Did you mean: 

Join the community at Nodes 2022, our free virtual event on November 16 - 17.

Is the Helm package published on Artifact Hub broken?

andrea1
Node Link

Hi I'm currently trying to experiment with running Neo4j in a K8s cluster. Not wanting to start completely from scratch and wanting to use the officially supported and recommended resources for Kubernetes deployments described here, I decided to start my experimenting by installing one of the helm charts for Neo4j. Unfortunately I haven't had any luck if I try to install a chart with a command like helm install standalone-instance neo4j/neo4j-standalone I get the following error:

Error: INSTALLATION FAILED: failed to download "neo4j/neo4j-standalone"

(mind you, I've correctly added the repo for the neo4j helm charts and I am able to list the neo4j charts with helm search repo neo4j. I've also already updated the repos with helm repo update, and the versions of the charts listed by the previous command without specifying the --versions option is 4.4.4).
What's even weirder is that if I try to take a peek at the templates or the default values from the Artifact Hub page I get the following:



I've even tried downloading the charts from the Download Center and install them from a local path with helm, but in that case I run into a problem regarding a broken link (apparently the charts directory under neo4j-standalone-instance has a broken link under it pointing to a directory called neo4j-shared-templates that is supposed to be at the same level as neo4j-standalone-instance in the filesystem hierarchy, but that just isn't present in the helm charts archive I downloaded).
Is anybody else experiencing the same issues? Is there anything I can do to fix this and proceed with my experimenting or should I wait for a fix from upstream for these issues?

5 REPLIES 5

harshit_singhvi
Node Link

Hi @Andrea1

Thanks for pointing out the artifacthub issue to us. We acknowledge it and the fix is in progress as we speak. The reason why the artifacthub is throwing the message is because of missing github release artifacts which we recently deleted. We are working on updating the index.yaml used by the artifacthub to point to the correct download url.

Regarding , your query on unable to install neo4j-standalone. Can you please ensure you have setup the helm repo ad per the instructions give here
Since the helm repo seems to be working fine and the chart is getting loaded if the helm repo is correctly added

Please let us know if you are still facing the issue. We will keep you update on the artifacthub issue.

Once again , thanks for reaching out to us and raising this query. We really appreciate your time and effort.

Thanks,
Harshit

Found the issue thank you for pointing out the correct helm instruction page. I think I landed on a different page (maybe from neo4j-labs?) and accidentally added the neo4j repository using the URL https://neo4j.github.io/helm-charts/, whereas the correct URL is https://helm.neo4j.com/neo4j instead. Now I can proceed with my experimenting, thank you very much Harshit
Update:
I found the source of the wrong Helm repository URL: Artifact Hub this is the modal I get if I click on Install in the Artifact Hub page for the neo4j-standalone Helm chart (neo4j-standalone 4.4.4 · neo4j/neo4j-helm-charts)


Please update the installation instructions as well as part of fixing the Artifact Hub index.yaml

Hi @andrea1

The artifact hub issue is resolved now.

The URL is the github repo pages link and is correct...however I will check and see if we can update this to the same helm.neo4j.com

Thanks,
Harshit

However ,

Hi @andrea1

It seems artifacthub.io is unable to pick the metadata file from helm.neo4j.com thus its unable to mark the charts as "verified publisher" . Due to this we wont be able to update the url to helm.neo4j.com .
The github pages url points to the same charts as present in the helm.neo4j.com/neo4j repo

Also it seems there is no way to update the installation guide on artifacthub. Hence , we would advice you to please follow the documentation here

Thanks,
Harshit

May I suggest that you add a link to the documentation in the README of the artifact hub package and a quick explanation of why we need to go there to install the Helm charts? Right now we just have half of the webpage occupied by a box saying that the package version does not provide a README file, which I think could be used for greater good